package com.inspect.patrol.vo;

import com.inspect.base.core.annotation.Excel;
import com.inspect.base.core.web.domain.BaseEntity;

public class LinkagePosListView extends BaseEntity {
    @Excel(
            name = "联动点ID"
    )
    private String linkagePosId;
    @Excel(
            name = "设备编码"
    )
    private String deviceCode;
    @Excel(
            name = "设备名称"
    )
    private String deviceName;
    @Excel(
            name = "设备类型名称"
    )
    private String deviceTypeName;
    @Excel(
            name = "区域名称"
    )
    private String spacerUnit;
    @Excel(
            name = "电压等级"
    )
    private String voltageLevel;
    @Excel(
            name = "实物ID"
    )
    private String phyAssetId;
    @Excel(
            name = "设备级别"
    )
    private String deviceLevel;

    public String getLinkagePosId() {
        return this.linkagePosId;
    }

    public void setLinkagePosId(String linkagePosId) {
        this.linkagePosId = linkagePosId;
    }

    public String getDeviceCode() {
        return this.deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return this.deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceTypeName() {
        return this.deviceTypeName;
    }

    public void setDeviceTypeName(String deviceTypeName) {
        this.deviceTypeName = deviceTypeName;
    }

    public String getSpacerUnit() {
        return this.spacerUnit;
    }

    public void setSpacerUnit(String spacerUnit) {
        this.spacerUnit = spacerUnit;
    }

    public String getVoltageLevel() {
        return this.voltageLevel;
    }

    public void setVoltageLevel(String voltageLevel) {
        this.voltageLevel = voltageLevel;
    }

    public String getPhyAssetId() {
        return this.phyAssetId;
    }

    public void setPhyAssetId(String phyAssetId) {
        this.phyAssetId = phyAssetId;
    }

    public String getDeviceLevel() {
        return this.deviceLevel;
    }

    public void setDeviceLevel(String deviceLevel) {
        this.deviceLevel = deviceLevel;
    }
}
